Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QItemSelectionRange

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QItemSelectionRange

All Implemented Interfaces:
  QtJambiInterface

    public class QItemSelectionRange

extends QtJambiObject

The `QItemSelectionRange` class manages information about a range of selected items in a model.

A `QItemSelectionRange` contains information about a range of selected items in a model. A range of items is a contiguous array of model items, extending to cover a number of adjacent rows and columns with a common parent item; this can be visualized as a two-dimensional block of cells in a table. A selection range has a `top`, `left` a `bottom`, `right` and a `parent`.

The `QItemSelectionRange` class is one of the Model/View Classes and is part of Qt's model/view framework.

The model items contained in the selection range can be obtained by using the items() function. Use QItemSelectionModel::selectedIndexes() to get a list of all selected items for a view.

You can determine whether a given model item lies within a particular range by using the `contains` function. Ranges can also be compared using the overloaded operators for equality and inequality, and the `intersects` function allows you to determine whether two ranges overlap.

See Also:
  Model/View Programming, `QAbstractItemModel`, `QItemSelection`, `QItemSelectionModel`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QItemSelectionRange()` Constructs an empty selection range.
`QItemSelectionRange(QItemSelectionRange other)` Copy constructor.
`QItemSelectionRange(QModelIndex index)` Constructs a new selection range containing only the model item specified by the model index `index`.
`QItemSelectionRange(QModelIndex topLeft, QModelIndex bottomRight)` Constructs a new selection range containing only the index specified by the `topLeft` and the index `bottomRight`.

Method Summary
`int` | `bottom()` Returns the row index corresponding to the lowermost selected row in the selection range.
`QModelIndex` | `bottomRight()` Returns the index for the item located at the bottom-right corner of the selection range.
`boolean` | `contains(int row, int column, QModelIndex parentIndex)` Returns true if the model item specified by (`row`, `column`) and with `parentIndex` as the parent item lies within the range of selected items; otherwise returns false.
`boolean` | `contains(QModelIndex index)` Returns true if the model item specified by the `index` lies within the range of selected items; otherwise returns false.
`boolean` | `equals(java.lang.Object other)`
`static QItemSelectionRange` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QItemSelectionRange instance pointed to by nativePointer
`int` | `hashCode()`
`int` | `height()` Returns the number of selected rows in the selection range.
`java.util.List<QModelIndex>` | `indexes()` Returns the list of model index items stored in the selection.
`QItemSelectionRange` | `intersected(QItemSelectionRange other)` Returns a new selection range containing only the items that are found in both the selection range and the `other` selection range.
`boolean` | `intersects(QItemSelectionRange other)` Returns true if this selection range intersects (overlaps with) the `other` range given; otherwise returns false.
`boolean` | `isValid()` Returns true if the selection range is valid; otherwise returns false.
`int` | `left()` Returns the column index corresponding to the leftmost selected column in the selection range.
`QAbstractItemModel` | `model()` Returns the model that the items in the selection range belong to.
`static QNativePointer` | `nativePointerArray(QItemSelectionRange[] array)` This function returns a QNativePointer that is pointing to the specified QItemSelectionRange array.
`QModelIndex` | `parent()` Returns the parent model item index of the items in the selection range.
`int` | `right()` Returns the column index corresponding to the rightmost selected column in the selection range.
`int` | `top()` Returns the row index corresponding to the uppermost selected row in the selection range.
`QModelIndex` | `topLeft()` Returns the index for the item located at the top-left corner of the selection range.
`int` | `width()` Returns the number of selected columns in the selection range.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QItemSelectionRange

    public QItemSelectionRange(QModelIndex index)

  Constructs a new selection range containing only the model item specified by the model index `index`.

### QItemSelectionRange

    public QItemSelectionRange(QItemSelectionRange other)

  Copy constructor. Constructs a new selection range with the same contents as the `other` range given.

### QItemSelectionRange

    public QItemSelectionRange(QModelIndex topLeft,
                               QModelIndex bottomRight)

  Constructs a new selection range containing only the index specified by the `topLeft` and the index `bottomRight`.

### QItemSelectionRange

    public QItemSelectionRange()

  Constructs an empty selection range.

Method Detail

### bottom

    public final int bottom()

  Returns the row index corresponding to the lowermost selected row in the selection range.

### bottomRight

    public final QModelIndex bottomRight()

  Returns the index for the item located at the bottom-right corner of the selection range.

  See Also:
    `bottom`, `right`, `topLeft`

### contains

    public final boolean contains(QModelIndex index)

  Returns true if the model item specified by the `index` lies within the range of selected items; otherwise returns false.

### contains

    public final boolean contains(int row,
                                  int column,
                                  QModelIndex parentIndex)

  Returns true if the model item specified by (`row`, `column`) and with `parentIndex` as the parent item lies within the range of selected items; otherwise returns false.

### height

    public final int height()

  Returns the number of selected rows in the selection range.

### indexes

    public final java.util.List<QModelIndex> indexes()

  Returns the list of model index items stored in the selection.

### intersected

    public final QItemSelectionRange intersected(QItemSelectionRange other)

  Returns a new selection range containing only the items that are found in both the selection range and the `other` selection range.

### intersects

    public final boolean intersects(QItemSelectionRange other)

  Returns true if this selection range intersects (overlaps with) the `other` range given; otherwise returns false.

### isValid

    public final boolean isValid()

  Returns true if the selection range is valid; otherwise returns false.

### left

    public final int left()

  Returns the column index corresponding to the leftmost selected column in the selection range.

### model

    public final QAbstractItemModel model()

  Returns the model that the items in the selection range belong to.

### parent

    public final QModelIndex parent()

  Returns the parent model item index of the items in the selection range.

### right

    public final int right()

  Returns the column index corresponding to the rightmost selected column in the selection range.

### top

    public final int top()

  Returns the row index corresponding to the uppermost selected row in the selection range.

### topLeft

    public final QModelIndex topLeft()

  Returns the index for the item located at the top-left corner of the selection range.

  See Also:
    `top`, `left`, `bottomRight`

### width

    public final int width()

  Returns the number of selected columns in the selection range.

### fromNativePointer

    public static QItemSelectionRange fromNativePointer(QNativePointer nativePointer)

  This function returns the QItemSelectionRange instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QItemSelectionRange[] array)

  This function returns a QNativePointer that is pointing to the specified QItemSelectionRange array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD